Package org.apache.wiki.rss

# Class Entry

java.lang.Object
org.apache.wiki.rss.Entry

public class Entry extends Object
Represents an entry, that is, an unit of change, in a Feed.

## Constructor Summary

Constructors
Constructor
Description
`Entry()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAuthor()`
Return the author set by setAuthor().
`String`
`getContent()`
Return the content set by `setContent(String)`.
`org.apache.wiki.api.core.Page`
`getPage()`
Returns the page set by `setPage(Page)`.
`String`
`getTitle()`
Returns the title.
`String`
`getURL()`
Return the URL set by setURL().
`void`
`setAuthor(String author)`
Set the author of this entry.
`void`
`setContent(String content)`
Set the content of this entry.
`void`
`setPage(org.apache.wiki.api.core.Page p)`
Sets the WikiPage to which this Entry refers to.
`void`
`setTitle(String title)`
Sets a title for the change.
`void`
`setURL(String url)`
Set the URL - the permalink - of the Entry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Entry

public Entry()

## Method Details

### setAuthor

public void setAuthor(String author)
Set the author of this entry.

Parameters:
  `author` - Name of the author.

### getAuthor

public String getAuthor()
Return the author set by setAuthor().

Returns:
  A String representing the author.

### getPage

public org.apache.wiki.api.core.Page getPage()
Returns the page set by `setPage(Page)`.

Returns:
  The WikiPage to which this Entry refers to.

### setPage

public void setPage(org.apache.wiki.api.core.Page p)
Sets the WikiPage to which this Entry refers to.

Parameters:
  `p` - A valid WikiPage.

### setTitle

public void setTitle(String title)
Sets a title for the change. For example, a WebLog entry might use the post title, or a Wiki change could use something like "XXX changed page YYY".

Parameters:
  `title` - A String description of the change.

### getTitle

public String getTitle()
Returns the title.

Returns:
  The title set in setTitle.

### setURL

public void setURL(String url)
Set the URL - the permalink - of the Entry.

Parameters:
  `url` - An absolute URL to the entry.

### getURL

public String getURL()
Return the URL set by setURL().

Returns:
  The URL.

### setContent

public void setContent(String content)
Set the content of this entry.

Parameters:
  `content` - A String of the content.

### getContent

public String getContent()
Return the content set by `setContent(String)`.

Returns:
  Whatever was set by setContent().